lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From JCodina <joan.cod...@barcelonamedia.org>
Subject version of lucene
Date Mon, 15 Jun 2009 14:57:03 GMT

I have the solr-nightly build of last week, and in the lib foloder i can find
the lucene-core-2.9-dev.jar
I need to do some changes to the shingle filter in order to remove stopwords
from bigrams, but to do so I need to compile lucene, 
the problem is, lucene is in version 2.4 not 2.9
If I take, with subverison, version 2.4 then compiling solr I get the next
error:
.../apache-solr-nightly/src/java/org/apache/solr/search/DocSetHitCollector.java:21:
cannot find symbol
    [javac] symbol  : class Collector
    [javac] location: package org.apache.lucene.search
    [javac] import org.apache.lucene.search.Collector;


any hints on the right version of lucene/solr  to be able to use solr 1.4

Joan
-- 
View this message in context: http://www.nabble.com/version-of-lucene-tp24036137p24036137.html
Sent from the Solr - User mailing list archive at Nabble.com.


Mime
View raw message